﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;   // DllImportのために追加
using System.Diagnostics; // ウィンドウプロセス取得のために追加

namespace MyClock
{
    /// <Ver 1.16.7>Win32 API をクラスにまとめる
    
    /// <Ver 1.10>FLASHWININFO 構造体のオーバーライド
    [StructLayout(LayoutKind.Sequential)]
    public struct FLASHWINFO
    {
        public UInt32 cbSize;           // FLASHWINFO構造体のサイズ
        public IntPtr hwnd;              // 点滅対象のウィンドウ・ハンドル
        public UInt32 dwFlags;        // 以下の「FLASHW_XXX」のいずれか
        public UInt32 uCount;         // 点滅する回数
        public UInt32 dwTimeout;   // 点滅する間隔（ミリ秒単位）
    }

    /// Win32API の extern 宣言クラス
    class WinAPI
    {
        [DllImport("user32.dll")]
        public static extern Int32 FlashWindowEx(ref FLASHWINFO pwfi);

        // <Ver 1.10>FLASHWININFO メンバの実装
        // 点滅を止める
        public const UInt32 FLASHW_STOP = 0;
        // タイトルバーを点滅させる
        public const UInt32 FLASHW_CAPTION = 1;
        // タスクバー・ボタンを点滅させる
        public const UInt32 FLASHW_TRAY = 2;
        // タスクバー・ボタンとタイトルバーを点滅させる
        public const UInt32 FLASHW_ALL = 3;
        // FLASHW_STOPが指定されるまでずっと点滅させる
        public const UInt32 FLASHW_TIMER = 4;
        // ウィンドウが最前面に来るまでずっと点滅させる
        public const UInt32 FLASHW_TIMERNOFG = 12;
    }
}
